JavaScript/jQuery PieChart - Overview

Each series point can be accompanied with a label that displays the point's value or custom data.

DevExtreme HTML5 JavaScript PieChart SeriesPointLabels

To configure point labels, use the label object. You can declare it as follows.

JavaScript
  • $(function() {
  • $("#pieChartContainer").dxPieChart({
  • // ...
  • series: [{
  • label: {
  • // Settings for all point labels of an individual series
  • }
  • }, {
  • // ...
  • }],
  • commonSeriesSettings: {
  • label: {
  • // Settings for all point labels in the PieChart
  • }
  • }
  • });
  • });

Point labels are not visible by default. To make them visible, assign true to the label.visible property. With this configuration, point labels are displayed detached from their respective series points. You can make the connection between labels and points more evident by making label connectors visible. For this purpose, assign true to the label.connector.visible property.

JavaScript
  • $(function() {
  • $("#pieChartContainer").dxPieChart({
  • // ...
  • series: {
  • label: {
  • visible: true,
  • connector: {
  • visible: true
  • }
  • }
  • }
  • });
  • });

For details on other properties of point labels, refer to the label section of the API reference and to other topics in this section.

See Also

React PieChart - Overview

Each series point can be accompanied with a label that displays the point's value or custom data.

DevExtreme HTML5 JavaScript PieChart SeriesPointLabels

To configure point labels, use the label object. You can declare it as follows.

App.js
  • import React from 'react';
  • import PieChart, {
  • Series,
  • CommonSeriesSettings,
  • Label
  • } from 'devextreme-react/pie-chart';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <PieChart ... >
  • <Series>
  • <Label ... >
  • {/* Settings for all point labels of an individual series */}
  • </Label>
  • </Series>
  • <CommonSeriesSettings ... >
  • <Label ... >
  • {/* Settings for all point labels in the PieChart */}
  • </Label>
  • </CommonSeriesSettings>
  • </PieChart>
  • );
  • }
  • }

Point labels are not visible by default. To make them visible, assign true to the label.visible property. With this configuration, point labels are displayed detached from their respective series points. You can make the connection between labels and points more evident by making label connectors visible. For this purpose, assign true to the label.connector.visible property.

App.js
  • import React from 'react';
  • import PieChart, {
  • Series,
  • Label,
  • Connector
  • } from 'devextreme-react/pie-chart';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <PieChart ... >
  • <Series>
  • <Label visible={true}>
  • <Connector visible={true} />
  • </Label>
  • </Series>
  • </PieChart>
  • );
  • }
  • }

For details on other properties of point labels, refer to the label section of the API reference and to other topics in this section.

See Also

Vue PieChart - Overview

Each series point can be accompanied with a label that displays the point's value or custom data.

DevExtreme HTML5 JavaScript PieChart SeriesPointLabels

To configure point labels, use the label object. You can declare it as follows.

App.vue
  • <template>
  • <DxPieChart ... >
  • <DxSeries>
  • <DxLabel ... >
  • <!-- Settings for all point labels of an individual series -->
  • </DxLabel>
  • </DxSeries>
  • <DxCommonSeriesSettings ... >
  • <DxLabel ... >
  • <!-- Settings for all point labels in the PieChart -->
  • </DxLabel>
  • </DxCommonSeriesSettings>
  • </DxPieChart>
  • </template>
  •  
  • <script>
  • import DxPieChart, {
  • DxSeries,
  • DxCommonSeriesSettings,
  • DxLabel
  • } from 'devextreme-vue/pie-chart';
  •  
  • export default {
  • components: {
  • DxPieChart,
  • DxSeries,
  • DxCommonSeriesSettings,
  • DxLabel
  • }
  • }
  • </script>

Point labels are not visible by default. To make them visible, assign true to the label.visible property. With this configuration, point labels are displayed detached from their respective series points. You can make the connection between labels and points more evident by making label connectors visible. For this purpose, assign true to the label.connector.visible property.

App.vue
  • <template>
  • <DxPieChart ... >
  • <DxSeries>
  • <DxLabel :visible="true">
  • <DxConnector :visible="true"/>
  • </DxLabel>
  • </DxSeries>
  • </DxPieChart>
  • </template>
  •  
  • <script>
  • import DxPieChart, {
  • DxSeries,
  • DxLabel,
  • DxConnector
  • } from 'devextreme-vue/pie-chart';
  •  
  • export default {
  • components: {
  • DxPieChart,
  • DxSeries,
  • DxLabel,
  • DxConnector
  • }
  • }
  • </script>

For details on other properties of point labels, refer to the label section of the API reference and to other topics in this section.

See Also